/************************************************************
(C) Copyright 2006
Connect Tech Inc.
All rights reserved.

************************************************************/

#include <kernel.h>
#include <ioctl.h>
#include "ctibhinfo.h"

#define CTIBH(name, ispeed, ospeed)							\
struct ctibh_info name = { 												\
	{																	\
		ispeed, ospeed,				/* input and output speed */		\
		'H' - '@',					/* erase char */					\
		-1,							/* 2nd erase char */				\
		'U' - '@',					/* kill char */						\
		ECHO | CRMOD,				/* mode */							\
		'C' - '@',					/* interrupt character */			\
		'\\' - '@',					/* quit char */						\
		'Q' - '@',					/* start char */					\
		'S' - '@',					/* stop char */						\
		'D' - '@',					/* EOF */							\
		-1,							/* brk */							\
		(LCRTBS | LCRTERA | LCRTKIL | LCTLECH),	/* local mode word */	\
		'Z' - '@',					/* process stop */					\
		'Y' - '@',					/* delayed stop */					\
		'R' - '@',					/* reprint line */					\
		'O' - '@',					/* flush output */					\
		'W' - '@',					/* word erase */					\
		'V' - '@'					/* literal next char */				\
	}																	\
}

CTIBH(ctibh0, B19200, B19200);

#if defined(STANDALONE)

#include <stdio.h>

int
main(
	int     argc,
	char**  argv
	)
{
	if(write(STDOUT, &ctibh0, sizeof(ctibh0)) != sizeof(ctibh0))
		exit(1);

	exit(0);
}

#endif  /* STANDALONE */

